# ``twisted`.`internet`.`posixbase``

module documentation
(source)

Posix reactor base class

Class | `PosixReactorBase` | A basis for reactors that use file descriptors.
Variable | `processEnabled` | Undocumented
Variable | `ssl` | Undocumented
Variable | `tls` | Undocumented
Variable | `unixEnabled` | Undocumented
Variable | `win32process` | Undocumented
Interface | `_IWaker` | Interface to wake up the event loop based on the self-pipe trick.
Class | `_ContinuousPolling` | Schedule reads and writes based on the passage of time, rather than notification.
Class | `_DisconnectSelectableMixin` | Mixin providing the `_disconnectSelectable` method.
Class | `_FDWaker` | The self-pipe trick<http://cr.yp.to/docs/selfpipe.html>, used to wake up the main loop from another thread or a signal handler.
Class | `_PollLikeMixin` | Mixin for poll-like reactors.
Class | `_SIGCHLDWaker` | `_SIGCHLDWaker` can wake up a reactor whenever `SIGCHLD` is received.
Class | `_SocketWaker` | No summary
Class | `_UnixWaker` | This class provides a simple interface to wake up the event loop.
Constant | `_NO_FILEDESC` | Undocumented
Constant | `_NO_FILENO` | Undocumented

processEnabled: `bool` = (source)

Undocumented

ssl = (source)

Undocumented

tls = (source)

Undocumented

unixEnabled = (source)

Undocumented

win32process = (source)

Undocumented

_NO_FILEDESC = (source)

Undocumented

Value

    error.ConnectionFdescWentAway('File descriptor lost')

_NO_FILENO = (source)

Undocumented

Value

    error.ConnectionFdescWentAway('Handler has no fileno method')